tasks/list

GET/scheduled-agents

List the account's Tasks. Requires the configuration:read permission.

Request

cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/scheduled-agents" \
  -H "Authorization: Bearer $CLOUDX_API_KEY"

Responses

Tasks in newest-first order.
{
  "scheduled_agents": [
    {
      "id": "<string>",
      "domain": "buying",
      "name": "<string>",
      "prompt": "<string>",
      "template_id": "<string>",
      "cron_expression": "<string>",
      "timezone": "<string>",
      "schedule_description": "<string>",
      "enabled": true,
      "creation_origin": "web_app",
      "access_mode": "private",
      "creator_user_id": "<string>",
      "next_run_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ]
}

200Tasks in newest-first order.

FieldTypeDescription
scheduled_agentsrequiredarray of object

401Unauthorized.

FieldTypeDescription
errorrequiredstring

403Forbidden or feature unavailable.

FieldTypeDescription
errorrequiredstring

500Internal server error.

FieldTypeDescription
errorrequiredstring